Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class ASTElement

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.jsp.ast.SimpleNode
              net.sourceforge.pmd.jsp.ast.ASTElement

All Implemented Interfaces:
  Node, Node

public class ASTElement
extends SimpleNode

Field Summary

Fields inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`parser`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent`

Constructor Summary
`ASTElement(int id)`
`ASTElement(JspParser p, int id)`

Method Summary
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespacePrefix()`
`boolean` | `isEmpty()`
`boolean` | `isHasNamespacePrefix()`
`java.lang.Object` | `jjtAccept(JspParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` | `setEmpty(boolean empty)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString(java.lang.String prefix)`

Methods inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode
`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTElement

    public ASTElement(int id)

### ASTElement

    public ASTElement(JspParser p,
                      int id)

Method Detail

### isHasNamespacePrefix

    public boolean isHasNamespacePrefix()

  Returns:
    boolean - true if the element has a namespace-prefix, false otherwise

### getNamespacePrefix

    public java.lang.String getNamespacePrefix()

  Returns:
    String - the part of the name that is before the (first) colon (":")

### getLocalName

    public java.lang.String getLocalName()

  Returns:
    String - The part of the name that is after the first colon (":"). If the name does not contain a colon, the full name is returned.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### isEmpty

    public boolean isEmpty()

  Returns:
    Returns the empty.

### setEmpty

    public void setEmpty(boolean empty)

  Parameters:
    `empty` - The empty to set.

### toString

    public java.lang.String toString(java.lang.String prefix)

  Overrides:
    `toString` in class `SimpleNode`

### jjtAccept

    public java.lang.Object jjtAccept(JspParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.